Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine.factories
Interface Factory

All Known Implementing Classes:
  PSFactory

    public interface Factory

Little interface to add someother output than postscript.

Author:
  Yves Piel

Method Summary
`void` | `drawEllipse(Page page, float x, float y, float width, float height, float rotate, boolean border, boolean fill)`
`void` | `drawFrame(Page page, Frame frm)`
`void` | `drawImage(Page page, float x, float y, Image img, float width, float height)`
`void` | `drawLine(Page page, float x1, float y1, float weight, float height)`
`void` | `drawRect(Page page, float x, float y, float width, float height, float rotate, float radius, boolean border, boolean fill)`
`java.lang.StringBuffer` | `getBeginJob(int totalPageNumber, float pageWidth, float pageHeight)`
`java.lang.StringBuffer` | `getEndJob()`
`java.lang.StringBuffer` | `showPage(Page page, int pageNumber, int totalPageNumber)`
`void` | `showText(Page page, float x, float y, float weight, float height, java.lang.String txt, TextParameter tp)`

Method Detail

### getBeginJob

    java.lang.StringBuffer getBeginJob(int totalPageNumber,
                                       float pageWidth,
                                       float pageHeight)

### getEndJob

    java.lang.StringBuffer getEndJob()

### showPage

    java.lang.StringBuffer showPage(Page page,
                                    int pageNumber,
                                    int totalPageNumber)

### showText

    void showText(Page page,
                  float x,
                  float y,
                  float weight,
                  float height,
                  java.lang.String txt,
                  TextParameter tp)

### drawLine

    void drawLine(Page page,
                  float x1,
                  float y1,
                  float weight,
                  float height)

### drawRect

    void drawRect(Page page,
                  float x,
                  float y,
                  float width,
                  float height,
                  float rotate,
                  float radius,
                  boolean border,
                  boolean fill)

### drawEllipse

    void drawEllipse(Page page,
                     float x,
                     float y,
                     float width,
                     float height,
                     float rotate,
                     boolean border,
                     boolean fill)

### drawImage

    void drawImage(Page page,
                   float x,
                   float y,
                   Image img,
                   float width,
                   float height)
                   throws RiepsException

  Throws:
    `RiepsException`

### drawFrame

    void drawFrame(Page page,
                   Frame frm)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD